Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel
Class ChannelPipelineException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.jboss.netty.channel.ChannelException
                      org.jboss.netty.channel.ChannelPipelineException

All Implemented Interfaces:
  Serializable

    public class ChannelPipelineException

extends ChannelException

A `ChannelException` which is thrown when a `ChannelPipeline` failed to process a `ChannelEvent` or when a `ChannelPipelineFactory` failed to initialize a `ChannelPipeline`.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee
See Also:
  Serialized Form

Constructor Summary
`ChannelPipelineException()` Creates a new instance.
`ChannelPipelineException(String message)` Creates a new instance.
`ChannelPipelineException(String message, Throwable cause)` Creates a new instance.
`ChannelPipelineException(Throwable cause)` Creates a new instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChannelPipelineException

    public ChannelPipelineException()

  Creates a new instance.

### ChannelPipelineException

    public ChannelPipelineException(String message,
                                    Throwable cause)

  Creates a new instance.

### ChannelPipelineException

    public ChannelPipelineException(String message)

  Creates a new instance.

### ChannelPipelineException

    public ChannelPipelineException(Throwable cause)

  Creates a new instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.